{
  "name": "twitter-kata",
  "version": "1.0.0",
  "scripts": {
    "test": "jest",
    "start": "npm run build && node ./build/main/infrastructure/api/main.js",
    "build": "tsc",
    "dev": "nodemon ./src/main/infrastructure/api/Api.ts"
  },
  "jest": {
    "moduleFileExtensions": [
      "ts",
      "tsx",
      "js"
    ],
    "transform": {
      "^.+\\.(ts|tsx)$": "<rootDir>/preprocessor.js"
    },
    "testMatch": [
      "**/__tests__/*.(ts|tsx)"
    ]
  },
  "devDependencies": {
    "@jest-mock/express": "^1.4.5",
    "@types/express": "^4.17.13",
    "@types/jest": "^27.4.0",
    "@types/node": "^17.0.16",
    "babel-jest": "^27.5.1",
    "jest": "^27.5.1",
    "lowdb": "^3.0.0",
    "nodemon": "^2.0.15",
    "ts-jest": "^27.1.3",
    "ts-node": "^10.5.0",
    "typescript": "^4.5.5"
  },
  "dependencies": {
    "@babel/core": "^7.17.2",
    "express": "^4.17.2",
    "simple-json-db": "^1.2.3"
  }
}